#ifndef __AP_MANAGER_H__
#define __AP_MANAGER_H__

#include "ap-ability.h"
#include "ap-skill.h"
#include "ap-attack.h"

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define AP_TYPE_MANAGER (ap_manager_get_type ())

G_DECLARE_FINAL_TYPE (APManager, ap_manager, AP, MANAGER, GObject)

APManager *
ap_manager_new (void);

APManager *
ap_manager_get_default (void);

void
ap_manager_add_ability (APManager *self,
                        APAbility *ability);

void
ap_manager_add_skill (APManager *self,
                      APSkill   *skill);

G_END_DECLS

#endif /* __AP_MANAGER_H__ */

