#ifndef __AP_SKILL_H__
#define __AP_SKILL_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define AP_TYPE_SKILL (ap_skill_get_type ())

G_DECLARE_FINAL_TYPE (APSkill, ap_skill, AP, SKILL, GObject)

void
ap_skill_set_id (APSkill *self,
                 gchar   *id);

gchar *
ap_skill_get_id (APSkill *self);

void
ap_skill_set_name (APSkill *self,
                   gchar   *name);

gchar *
ap_skill_get_name (APSkill *self);

void
ap_skill_set_score (APSkill *self,
                    gint     score);

gint
ap_skill_get_score (APSkill *self);

void
ap_skill_set_modifier (APSkill *self,
                       gchar    *modifier);

gchar *
ap_skill_get_modifier (APSkill *self);

void
ap_skill_set_bonus (APSkill *self,
                    gint     bonus);

gint
ap_skill_get_bonus (APSkill *self);

void
ap_skill_set_proficient (APSkill  *self,
                         gboolean  proficient);

gboolean
ap_skill_get_proficient (APSkill *self);

G_END_DECLS

#endif /* __AP_SKILL_H__ */

