#include <adventure-pack/ap-ability.h>

#include <glib.h>

typedef struct {
    APAbility *ability;
} AbilityFixture;

void
ability_fixture_set_up (AbilityFixture *fixture,
                        gconstpointer   user_data);

void
ability_fixture_tear_down (AbilityFixture *fixture,
                           gconstpointer   user_data);

void
test_ability_id (AbilityFixture *fixture,
                 gconstpointer   user_data);

void
test_ability_name (AbilityFixture *fixture,
                   gconstpointer   user_data);

void
test_ability_score (AbilityFixture *fixture,
                    gconstpointer   user_data);

void
test_ability_score_with_bonus (AbilityFixture *fixture,
                               gconstpointer   user_data);

void
test_ability_modifier (AbilityFixture *fixture,
                       gconstpointer   user_data);
